summaryrefslogtreecommitdiff
path: root/extractGlad.sh
diff options
context:
space:
mode:
Diffstat (limited to 'extractGlad.sh')
-rwxr-xr-xextractGlad.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/extractGlad.sh b/extractGlad.sh
new file mode 100755
index 0000000..4a3aa79
--- /dev/null
+++ b/extractGlad.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+echo extracting GLAD...
+
+if ! [ -z "${1}" ]
+then
+ archive="${1}"
+else
+ archive="glad.zip"
+fi
+
+if ! [ -e "${archive}" ]
+then
+ echo "failure: unable to access file \"${archive}\""
+ exit 1
+fi
+
+unzip -od"glad" "${archive}"
+cp -v "glad.CMakeLists.txt" "glad/CMakeLists.txt"
+
+echo success